Bug 181460 - Cannot create new Action in Module project
Cannot create new Action in Module project
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jesse Glick
issues@apisupport
:
: 181478 181479 (view as bug list)
Depends on:
Blocks: 141925
  Show dependency treegraph
 
Reported: 2010-03-03 03:10 UTC by Antonin Nebuzelsky
Modified: 2010-03-05 07:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
log with the assertion error (384.17 KB, text/plain)
2010-03-03 03:10 UTC, Antonin Nebuzelsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2010-03-03 03:10:47 UTC
Created attachment 94704 [details]
log with the assertion error

NetBeans IDE Dev (Build 100303-3ede8c90df2e)

New module suite, new module project. Invoking new Action file template wizard raises an assertion error. See the attached messages.log.
Comment 1 Jesse Glick 2010-03-03 10:35:12 UTC
*** Bug 181479 has been marked as a duplicate of this bug. ***
Comment 2 Jesse Glick 2010-03-03 10:36:13 UTC
	at org.netbeans.modules.apisupport.project.layers.LayerFileSystem.createWritableOn(LayerFileSystem.java:35)
	at org.openide.filesystems.MultiFileSystem.writableLayer(MultiFileSystem.java:462)
	at org.openide.filesystems.MultiFileObject.update(MultiFileObject.java:179)
	at org.openide.filesystems.MultiFileObject.<init>(MultiFileObject.java:125)
	at org.openide.filesystems.MultiFileObject.createFile(MultiFileObject.java:532)
	at org.openide.filesystems.AbstractFolder.getChild(AbstractFolder.java:363)
	at org.openide.filesystems.AbstractFolder.getChild(AbstractFolder.java:334)
	at org.openide.filesystems.AbstractFolder.find(AbstractFolder.java:281)
	at org.openide.filesystems.MultiFileSystem.findResource(MultiFileSystem.java:352)
	at org.netbeans.modules.apisupport.project.layers.LayerFileSystem.createWritableOn(LayerFileSystem.java:35)
Comment 3 Jesse Glick 2010-03-03 11:00:07 UTC
core-main #f1f241f8e9a0
Comment 4 Quality Engineering 2010-03-04 22:11:02 UTC
Integrated into 'main-golden', will be available in build *201003050200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f1f241f8e9a0
User: Jesse Glick <jglick@netbeans.org>
Log: #181460: stack overflow.
Comment 5 Jesse Glick 2010-03-05 07:54:52 UTC
*** Bug 181478 has been marked as a duplicate of this bug. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo